www.cendio.com
Bug 4623 - tl-ldap-certalias tool sometimes fails to restore selinux context on authorized_keys creation
: tl-ldap-certalias tool sometimes fails to restore selinux context on authoriz...
Status: CLOSED FIXED
: ThinLinc
Misc
: 4.0.0
: PC Unknown
: P2 Normal
: 4.1.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2013-04-26 08:13 by
Modified: 2013-06-05 15:22 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-04-26 08:13:15
This has happend two times at customers installation over a 6 months period and
it usally works.
------- Comment #1 From cendio 2013-04-26 08:14:56 -------
After some digging around we have found that this is a regression of bug #4157
which changes the api of selinux module.
------- Comment #2 From cendio 2013-04-26 08:16:09 -------
(In reply to comment #1)
> After some digging around we have found that this is a regression of bug #4157
> which changes the api of selinux module.

Commit r24932 is the origin problem.
------- Comment #3 From cendio 2013-04-26 08:51:46 -------
Commit 27189 adds a logger callback to restorecon().
------- Comment #4 From cendio 2013-04-29 10:54:52 -------
Tester should reproduce a problem, to verify that the error logging works as
expected and also verify the main topic that selinux context are restored as
expected.
------- Comment #5 From cendio 2013-06-05 15:22:52 -------
Verified and tested on customers site.